/**
 *     Caption: Zaval Proxy Suite
 *     $Revision: 0.43 $
 *     $Date: 2002/09/26 20:20:37 $
 *
 *     @author:     Eugene Shagun
 *     @version:    1.0
 *
 * The Zaval Proxy Suite is an easy-to-use solution that allows monitoring 
 * TCP/IP-based protocols, such as HTTP, NNTP and others. It is extremely 
 * useful in software development and can be used as a debug tool. Another 
 * area of appliance is multiple connections logging with proxy facilities. 
 * As soon as it pure java solution it can be used almost everywhere.
 * 
 * For more info on this product read Zaval Proxy Suite User's Guide
 * (It comes within this package).
 * The latest product version is always available from the product's homepage:
 * http://www.zaval.org/products/proxy/
 * and from the SourceForge:
 * http://sourceforge.net/projects/zaval0006/
 *
 * Contacts:
 *   Support : support@zaval.org
 *   Change Requests : change-request@zaval.org
 *   Feedback : feedback@zaval.org
 *   Other : info@zaval.org
 * 
 * Copyright (C) 2000-2002  Zaval Creative Engineering Group (http://www.zaval.org)
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * (version 2) as published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 */
package org.zaval.proxy;

import java.io.*;

import org.zaval.io.*;
import org.zaval.util.*;

/**
 *  The implementation of the base copier identified as response copier.
 *  It copies from the server input into the client output.
 */

public class ResponseCopier extends ProxyCopier
{
  /**
   *  Creates a ResponseCopier instance.
   *  @param input server input stream
   *  @param output client output stream
   *  @param copy output stream into which copy of data is written
   *  @param logger object for logging
   *  @param finalizer callback object to free allocated resources
   */
  public ResponseCopier(InputStream input, OutputStream output, OutputStream copy,
    Logger logger, Finalizable finalizer)
  {
    super(input, output, copy, logger, finalizer);
  }

  /**
   *  Identifies a ResponseCopier instance.
   *  @return response identifier
   */
  protected String getId()
  {
    return "*RSP";
  }
}